 package br.usp.nds.agualastro.persistencia;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class Sensor implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	private int codigo;
	private String nome;
	private String medida;
	private float coeficienteAngular;
	private float coeficienteLinear;
	
	public Sensor() {
		super();
	}
	public Sensor(int codigo, String nome, String medida,
			float coeficienteAngular, float coeficienteLinear) {
		super();
		this.codigo = codigo;
		this.nome = nome;
		this.medida = medida;
		this.coeficienteAngular = coeficienteAngular;
		this.coeficienteLinear = coeficienteLinear;
	}
	public int getCodigo() {
		return codigo;
	}
	public void setCodigo(int codigo) {
		this.codigo = codigo;
	}
	public String getMedida() {
		return medida;
	}
	public void setMedida(String medida) {
		this.medida = medida;
	}
	public float getCoeficienteAngular() {
		return coeficienteAngular;
	}
	public void setCoeficienteAngular(float coeficienteAngular) {
		this.coeficienteAngular = coeficienteAngular;
	}
	public float getCoeficienteLinear() {
		return coeficienteLinear;
	}
	public void setCoeficienteLinear(float coeficienteLinear) {
		this.coeficienteLinear = coeficienteLinear;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
}
